import { Disposable } from "@codingame/monaco-vscode-api/vscode/vs/base/common/lifecycle";
import { ITextModelService } from "@codingame/monaco-vscode-api/vscode/vs/editor/common/services/resolverService";
import { ICommandService } from "@codingame/monaco-vscode-api/vscode/vs/platform/commands/common/commands.service";
import { IContextKeyService } from "@codingame/monaco-vscode-api/vscode/vs/platform/contextkey/common/contextkey.service";
import { IDialogService } from "@codingame/monaco-vscode-api/vscode/vs/platform/dialogs/common/dialogs.service";
import { IInstantiationService } from "@codingame/monaco-vscode-api/vscode/vs/platform/instantiation/common/instantiation";
import { INotificationService } from "@codingame/monaco-vscode-api/vscode/vs/platform/notification/common/notification.service";
import { IQuickInputService } from "@codingame/monaco-vscode-api/vscode/vs/platform/quickinput/common/quickInput.service";
import { ITelemetryService } from "@codingame/monaco-vscode-api/vscode/vs/platform/telemetry/common/telemetry.service";
import { IUserDataAutoSyncService } from "@codingame/monaco-vscode-api/vscode/vs/platform/userDataSync/common/userDataSync.service";
import { IUserDataSyncService } from "@codingame/monaco-vscode-api/vscode/vs/platform/userDataSync/common/userDataSync.service";
import { IUserDataSyncEnablementService } from "@codingame/monaco-vscode-api/vscode/vs/platform/userDataSync/common/userDataSync.service";
import { IUserDataSyncStoreManagementService } from "@codingame/monaco-vscode-api/vscode/vs/platform/userDataSync/common/userDataSync.service";
import { IWorkbenchContribution } from "@codingame/monaco-vscode-api/vscode/vs/workbench/common/contributions";
import { IOutputService } from "@codingame/monaco-vscode-api/vscode/vs/workbench/services/output/common/output.service";
import { IActivityService } from "@codingame/monaco-vscode-api/vscode/vs/workbench/services/activity/common/activity.service";
import { IEditorService } from "@codingame/monaco-vscode-api/vscode/vs/workbench/services/editor/common/editorService.service";
import { IPreferencesService } from "@codingame/monaco-vscode-api/vscode/vs/workbench/services/preferences/common/preferences.service";
import { IProductService } from "@codingame/monaco-vscode-api/vscode/vs/platform/product/common/productService.service";
import { IOpenerService } from "@codingame/monaco-vscode-api/vscode/vs/platform/opener/common/opener.service";
import { IAuthenticationService } from "@codingame/monaco-vscode-api/vscode/vs/workbench/services/authentication/common/authentication.service";
import { IUserDataSyncWorkbenchService } from "@codingame/monaco-vscode-api/vscode/vs/workbench/services/userDataSync/common/userDataSync.service";
import { IHostService } from "@codingame/monaco-vscode-api/vscode/vs/workbench/services/host/browser/host.service";
import { IWorkbenchIssueService } from "@codingame/monaco-vscode-api/vscode/vs/workbench/contrib/issue/common/issue.service";
import { IUserDataProfileService } from "@codingame/monaco-vscode-api/vscode/vs/workbench/services/userDataProfile/common/userDataProfile.service";
export declare class UserDataSyncWorkbenchContribution extends Disposable implements IWorkbenchContribution {
    private readonly userDataSyncEnablementService;
    private readonly userDataSyncService;
    private readonly userDataSyncWorkbenchService;
    private readonly activityService;
    private readonly notificationService;
    private readonly editorService;
    private readonly userDataProfileService;
    private readonly dialogService;
    private readonly quickInputService;
    private readonly instantiationService;
    private readonly outputService;
    private readonly preferencesService;
    private readonly telemetryService;
    private readonly productService;
    private readonly openerService;
    private readonly authenticationService;
    private readonly userDataSyncStoreManagementService;
    private readonly hostService;
    private readonly commandService;
    private readonly workbenchIssueService;
    private readonly turningOnSyncContext;
    private readonly globalActivityBadgeDisposable;
    private readonly accountBadgeDisposable;
    constructor(userDataSyncEnablementService: IUserDataSyncEnablementService, userDataSyncService: IUserDataSyncService, userDataSyncWorkbenchService: IUserDataSyncWorkbenchService, contextKeyService: IContextKeyService, activityService: IActivityService, notificationService: INotificationService, editorService: IEditorService, userDataProfileService: IUserDataProfileService, dialogService: IDialogService, quickInputService: IQuickInputService, instantiationService: IInstantiationService, outputService: IOutputService, userDataAutoSyncService: IUserDataAutoSyncService, textModelResolverService: ITextModelService, preferencesService: IPreferencesService, telemetryService: ITelemetryService, productService: IProductService, openerService: IOpenerService, authenticationService: IAuthenticationService, userDataSyncStoreManagementService: IUserDataSyncStoreManagementService, hostService: IHostService, commandService: ICommandService, workbenchIssueService: IWorkbenchIssueService);
    private get turningOnSync();
    private set turningOnSync(value);
    private toKey;
    private readonly conflictsDisposables;
    private onDidChangeConflicts;
    private acceptRemote;
    private acceptLocal;
    private onAutoSyncError;
    private handleTooLargeError;
    private readonly invalidContentErrorDisposables;
    private onSynchronizerErrors;
    private handleInvalidContentError;
    private getConflictsCount;
    private updateGlobalActivityBadge;
    private updateAccountBadge;
    private turnOn;
    private askToConfigure;
    private getConfigureSyncQuickPickItems;
    private updateConfiguration;
    private configureSyncOptions;
    private turnOff;
    private disableSync;
    private showSyncActivity;
    private selectSettingsSyncService;
    private registerActions;
    private registerTurnOnSyncAction;
    private registerTurningOnSyncAction;
    private registerCancelTurnOnSyncAction;
    private registerSignInAction;
    private getShowConflictsTitle;
    private readonly conflictsActionDisposable;
    private registerShowConflictsAction;
    private registerManageSyncAction;
    private registerEnableSyncViewsAction;
    private registerSyncNowAction;
    private registerTurnOffSyncAction;
    private registerConfigureSyncAction;
    private registerShowLogAction;
    private registerShowSettingsAction;
    private registerHelpAction;
    private registerAcceptMergesAction;
    private registerDownloadSyncActivityAction;
    private registerViews;
    private registerViewContainer;
    private registerResetSyncDataAction;
    private registerDataViews;
}
